Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2010-3023

Overview

Vulnerability Score 4.3 4.3
CVE Id CVE-2010-3023
Last Modified 15 Feb 2012 12:00:00
Published 16 Aug 2010 04:00:03
Confidentiality Impact NONE NONE
Integrity Impact PARTIAL PARTIAL
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2010-3023

Summary

Multiple cross-site scripting (XSS) vulnerabilities in DiamondList 0.1.6, and possibly earlier, allow remote attackers to inject arbitrary web script or HTML via the (1) category[description] parameter to user/main/update_category, which is not properly handled by _app/views/categories/index.html.erb; and the (2) setting[site_title] parameter to user/main/update_settings, which is not properly handled by _app/views/settings/_list_settings.rhtml.

Vulnerable Systems

Application

  • Ehulihanapplications Diamondlist 0.1.6

  • Hulihanapplications Diamondlist 0.1.6


References

VUPEN - ADV-2010-2025

BID - 42252

BUGTRAQ - 20100805 XSS vulnerability in DiamondList

MISC - http://www.htbridge.ch/advisory/xss_vulnerability_in_diamondlist_1.html

MISC - http://www.htbridge.ch/advisory/xss_vulnerability_in_diamondlist.html

SECUNIA - 40873

MISC - http://packetstormsecurity.org/1008-exploits/diamondlist-xssxsrf.txt

CONFIRM - http://dev.hulihanapplications.com/issues/show/213

CONFIRM - http://dev.hulihanapplications.com/issues/show/211


Last Updated: 27 May 2016 10:57:26